.post-card {
    display: flex;
    flex-direction: column;
    background-color: #fff;
    border-radius: 20px;
    height: 100%;
    border-right: 2px solid transparent;
    border-bottom: 4px solid transparent;
}
.post-card .image {
    aspect-ratio: 5/4;
    overflow: hidden;
    border-radius: 20px 20px 0 0;
}
.post-card .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.post-card .content {
    position: relative;
    padding: 20px 20px 70px 20px;
}
.post-card .content h3 {
    font-size: 1.25rem;
    font-weight: 700;
    margin-bottom: 15px;
}
.post-card .content .excerpt {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;  
    overflow: hidden;
}
.post-card .content span {
    position: absolute;
    bottom: 20px;
    left: 20px;
    display: flex;
    align-items: center;
    gap: 10px;
    text-transform: uppercase;
    font-size: 0.875rem;
}
.post-card:hover {
    border-radius: 20px;
    border-right: 2px solid #000;
    border-bottom: 4px solid #000;
}
.post-card:hover .content span {
    font-weight: 700;
}